Third-Party Software Add-on Not Working After LabVIEW Upgrade

Updated Aug 13, 2020

Reported In

Software

  • LabVIEW
  • Third Party Add-Ons

Issue Details

I have been using a third-party add-on software package with LabVIEW 2016 and recently upgraded to LabVIEW 2019. Now when I try to use the third-party software in LabVIEW it does not work. 

Solution

The following steps will potentially resolve this issue:

  • Go into your VI Package Manager application (Start > VI Package Manager), find your third-party software, right-click on it and select Get Info. Review the requirements for the software and make sure they are met. 
  • Reinstall the third-party software add-on from VI Package Manage for your new version of LabVIEW so that the add-on is linked to this version. Do this in VI Package Manager by: Selecting your LabVIEW version in the drop-down menu at the top of the window > select your third-party add-on from the list of packages > click on the Install Packages icon at the top of the window. 

Additional Information

After upgrading LabVIEW versions, you will need to reinstall any third-party add-on packages for your new version of LabVIEW. If there is an issue with the third-party add-on software itself, contact the providers of the software. NI shall have no responsibility whatsoever for the performance of the third-party add-on.